html, body {
    height: 100%;
    margin: 0;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    display: flex;
    flex-direction: column;
    background: #0f172a;
    color: #e2e8f0;
}

header {
    text-align: center;
    padding: 20px;
    background: #020617;
}

nav {
    display: flex;
    justify-content: center;
    gap: 10px;
    padding: 10px;
    background: #020617;
}

button {
    padding: 10px 15px;
    border: none;
    background: #1e293b;
    color: white;
    cursor: pointer;
}

button:hover {
    background: #334155;
}

main {
    flex: 1;
    padding: 20px;
}

.tab {
    display: none;
}

.tab.active {
    display: block;
}

pre {
    background: #020617;
    padding: 10px;
    overflow-x: auto;
    border-left: 3px solid #38bdf8;
}

code {
    color: #38bdf8;
}

input {
    padding: 8px;
    margin: 10px 0;
    width: 250px;
}

#output, #safeOutput {
    margin-top: 10px;
    padding: 10px;
    background: #020617;
    border: 1px solid #334155;

    max-width: 250px;      /* same as input */
    word-wrap: break-word; /* prevents overflow */
}

button {
    border-radius: 5px;
}

.compare-container {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}

.box {
    flex: 1;
    padding: 10px;
    background: #020617;
    border: 1px solid #334155;
}

/* =========================
   9. Footer
========================= */
footer {
    margin-top: 20px;
    padding: 15px;
    text-align: center;
    background: #1e293b;
}